---
type: api
title: Delete multiple detection rules
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-bulkdeleterulespost
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-bulkdeleterulespost
products:
  - Kibana
---

# Delete multiple detection rules

deprecated

- Server: `https://{kibana_url}`

## Paths

- `POST` (also `DELETE`) `/api/detection_engine/rules/_bulk_delete`
- `POST` `/s/{space_id}/api/detection_engine/rules/_bulk_delete`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Delete detection rules in bulk.
> warn
> This API is deprecated and will be removed in Kibana v9.0.

## Request Body

`application/json`

A JSON array of `id` or `rule_id` fields of the rules you want to delete.

Type: `[] object`


## Responses

#### `200`

Indicates a successful call.

`application/json`

Type: `[] object`

#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
POST /api/detection_engine/rules/_bulk_delete
[
  {
    "rule_id": "process_started_by_ms_office_program_possible_payload"
  },
  {
    "id": "51658332-a15e-4c9e-912a-67214e2e2359"
  }
]
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/detection_engine/rules/_bulk_delete" \
  -H "Content-Type: application/json" \
  -d '[
  {
    "rule_id": "process_started_by_ms_office_program_possible_payload"
  },
  {
    "id": "51658332-a15e-4c9e-912a-67214e2e2359"
  }
]'
```

